Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Gradle IDE Error on Eclipse(Unable to install Gradle IDE on Eclipse)
Gradle IDE Error on Eclipse [message #1815006] Tue, 24 September 2019 06:44 Go to next message
Latha I is currently offline Latha IFriend
Messages: 1
Registered: September 2019
Junior Member
Hi All,
I have installed Eclipse version "Version: 2019-06 (4.12.0)".
I am trying install Gradle IDE pack on Eclipse and getting the below error message.
"Unable to read repository at content.xml.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target"

Could you please help me on how to install Gradle IDE. I am using Eclipse for developing Thingworx Custom Extensions.
Thank you in Advance.

Regards,
Vidyullatha
Re: Gradle IDE Error on Eclipse [message #1815025 is a reply to message #1815006] Tue, 24 September 2019 10:48 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30635
Registered: July 2009
Senior Member
This will boil down to missing root certificates in your current Java installation. You might try installing a newer version of Java or the more complex solution is to add the root certificate to Java's certificate store:

https://stackoverflow.com/questions/21076179/pkix-path-building-failed-and-unable-to-find-valid-certification-path-to-requ

If you install a new version of Java, you might need to fiddle with the eclipse.ini to ensure that it's actually used:

https://wiki.eclipse.org/Eclipse.ini#Specifying_the_JVM
Re: Gradle IDE Error on Eclipse [message #1815105 is a reply to message #1815025] Wed, 25 September 2019 13:22 Go to previous message
Velkumar R is currently offline Velkumar RFriend
Messages: 2
Registered: September 2019
Junior Member
Hi Ed,

I'm also facing same issue. I tired link provide by you, still I'm facing same issue

Regards,
VR
Previous Topic:"generate.emtl" file not generated with standalone "Runnable Jar"
Next Topic:Gradle IDE installation fails
Goto Forum:
  


Current Time: Fri Nov 15 16:29:06 GMT 2019

Powered by FUDForum. Page generated in 0.03175 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top